Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlModalPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIModalPanel
                          org.richfaces.component.html.HtmlModalPanel

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlModalPanel

extends UIModalPanel

Component-Type org.richfaces.ModalPanel Component-Family org.richfaces.ModalPanel Renderer-Type org.richfaces.ModalPanelRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlModalPanel()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getControlsClass()` CSS style(s) is/are to be applied to component controls when this component is rendered Getter for controlsClass
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeaderClass()` CSS style(s) is/are to be applied to component header when this component is rendered Getter for headerClass
`int` | `getHeight()` Attribute defines height of component Getter for height
`java.lang.String` | `getLabel()` A localized user presentable name for this component.
`java.lang.String` | `getLeft()` Attribute defines X position of component left-top corner Getter for left
`int` | `getMinHeight()` Attribute defines min height of component Getter for minHeight
`int` | `getMinWidth()` Attribute defines min width of component Getter for minWidth
`java.lang.String` | `getOnhide()` Event must occurs after panel closed Getter for onhide
`java.lang.String` | `getOnmaskclick()` ${prop.xmlEncodedDescription} Getter for onmaskclick
`java.lang.String` | `getOnmaskcontextmenu()` ${prop.xmlEncodedDescription} Getter for onmaskcontextmenu
`java.lang.String` | `getOnmaskdblclick()` ${prop.xmlEncodedDescription} Getter for onmaskdblclick
`java.lang.String` | `getOnmaskmousedown()` ${prop.xmlEncodedDescription} Getter for onmaskmousedown
`java.lang.String` | `getOnmaskmousemove()` ${prop.xmlEncodedDescription} Getter for onmaskmousemove
`java.lang.String` | `getOnmaskmouseout()` ${prop.xmlEncodedDescription} Getter for onmaskmouseout
`java.lang.String` | `getOnmaskmouseover()` ${prop.xmlEncodedDescription} Getter for onmaskmouseover
`java.lang.String` | `getOnmaskmouseup()` ${prop.xmlEncodedDescription} Getter for onmaskmouseup
`java.lang.String` | `getOnshow()` Event must occurs after panel opened Getter for onshow
`java.lang.String` | `getShadowDepth()` Pop-up shadow depth for suggestion content Getter for shadowDepth
`java.lang.String` | `getShadowOpacity()` HTML CSS class attribute of element for pop-up suggestion content Getter for shadowOpacity
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTop()` Attribute defines Y position of component left-top corner Getter for top
`java.lang.String` | `getTridentIVEngineSelectBehavior()` How to handle HTML SELECT-based controls in IE 6? - "disable" - default, handle as usual, use disabled="true" to hide SELECT controls - "hide" - use visibility="hidden" to hide SELECT controls Getter for tridentIVEngineSelectBehavior
`int` | `getWidth()` Attribute defines width of component Getter for width
`int` | `getZindex()` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Getter for zindex
`boolean` | `isAutosized()` If 'true' modalPanel should be autosizeable Getter for autosized
`boolean` | `isKeepVisualState()` If "true" modalPanel should save state after submittion Getter for keepVisualState
`boolean` | `isMoveable()` if "true" there is possibility to move component Getter for moveable
`boolean` | `isShowWhenRendered()` If "true" value for this attribute makes a modal panel opened as default.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAutosized(boolean __autosized)` If 'true' modalPanel should be autosizeable Setter for autosized
`void` | `setControlsClass(java.lang.String __controlsClass)` CSS style(s) is/are to be applied to component controls when this component is rendered Setter for controlsClass
`void` | `setHeaderClass(java.lang.String __headerClass)` CSS style(s) is/are to be applied to component header when this component is rendered Setter for headerClass
`void` | `setHeight(int __height)` Attribute defines height of component Setter for height
`void` | `setKeepVisualState(boolean __keepVisualState)` If "true" modalPanel should save state after submittion Setter for keepVisualState
`void` | `setLabel(java.lang.String __label)` A localized user presentable name for this component.
`void` | `setLeft(java.lang.String __left)` Attribute defines X position of component left-top corner Setter for left
`void` | `setMinHeight(int __minHeight)` Attribute defines min height of component Setter for minHeight
`void` | `setMinWidth(int __minWidth)` Attribute defines min width of component Setter for minWidth
`void` | `setMoveable(boolean __moveable)` if "true" there is possibility to move component Setter for moveable
`void` | `setOnhide(java.lang.String __onhide)` Event must occurs after panel closed Setter for onhide
`void` | `setOnmaskclick(java.lang.String __onmaskclick)` ${prop.xmlEncodedDescription} Setter for onmaskclick
`void` | `setOnmaskcontextmenu(java.lang.String __onmaskcontextmenu)` ${prop.xmlEncodedDescription} Setter for onmaskcontextmenu
`void` | `setOnmaskdblclick(java.lang.String __onmaskdblclick)` ${prop.xmlEncodedDescription} Setter for onmaskdblclick
`void` | `setOnmaskmousedown(java.lang.String __onmaskmousedown)` ${prop.xmlEncodedDescription} Setter for onmaskmousedown
`void` | `setOnmaskmousemove(java.lang.String __onmaskmousemove)` ${prop.xmlEncodedDescription} Setter for onmaskmousemove
`void` | `setOnmaskmouseout(java.lang.String __onmaskmouseout)` ${prop.xmlEncodedDescription} Setter for onmaskmouseout
`void` | `setOnmaskmouseover(java.lang.String __onmaskmouseover)` ${prop.xmlEncodedDescription} Setter for onmaskmouseover
`void` | `setOnmaskmouseup(java.lang.String __onmaskmouseup)` ${prop.xmlEncodedDescription} Setter for onmaskmouseup
`void` | `setOnshow(java.lang.String __onshow)` Event must occurs after panel opened Setter for onshow
`void` | `setShadowDepth(java.lang.String __shadowDepth)` Pop-up shadow depth for suggestion content Setter for shadowDepth
`void` | `setShadowOpacity(java.lang.String __shadowOpacity)` HTML CSS class attribute of element for pop-up suggestion content Setter for shadowOpacity
`void` | `setShowWhenRendered(boolean __showWhenRendered)` If "true" value for this attribute makes a modal panel opened as default.
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTop(java.lang.String __top)` Attribute defines Y position of component left-top corner Setter for top
`void` | `setTridentIVEngineSelectBehavior(java.lang.String __tridentIVEngineSelectBehavior)` How to handle HTML SELECT-based controls in IE 6? - "disable" - default, handle as usual, use disabled="true" to hide SELECT controls - "hide" - use visibility="hidden" to hide SELECT controls Setter for tridentIVEngineSelectBehavior
`void` | `setWidth(int __width)` Attribute defines width of component Setter for width
`void` | `setZindex(int __zindex)` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Setter for zindex

Methods inherited from class org.richfaces.component.UIModalPanel
`getRendersChildren, getShadowStyle, getVisualOptions, isResizeable, setResizeable, setVisualOptions`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlModalPanel

    public HtmlModalPanel()

  Constructor to init default renderers

Method Detail

### setAutosized

    public void setAutosized(boolean __autosized)

  If 'true' modalPanel should be autosizeable Setter for autosized

  Specified by:
    `setAutosized` in class `UIModalPanel`
  Parameters:
    `autosized` - - new value

### isAutosized

    public boolean isAutosized()

  If 'true' modalPanel should be autosizeable Getter for autosized

  Specified by:
    `isAutosized` in class `UIModalPanel`
  Returns:
    autosized value from local variable or value bindings

### setControlsClass

    public void setControlsClass(java.lang.String __controlsClass)

  CSS style(s) is/are to be applied to component controls when this component is rendered Setter for controlsClass

  Parameters:
    `controlsClass` - - new value

### getControlsClass

    public java.lang.String getControlsClass()

  CSS style(s) is/are to be applied to component controls when this component is rendered Getter for controlsClass

  Returns:
    controlsClass value from local variable or value bindings

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

  CSS style(s) is/are to be applied to component header when this component is rendered Setter for headerClass

  Parameters:
    `headerClass` - - new value

### getHeaderClass

    public java.lang.String getHeaderClass()

  CSS style(s) is/are to be applied to component header when this component is rendered Getter for headerClass

  Returns:
    headerClass value from local variable or value bindings

### setHeight

    public void setHeight(int __height)

  Attribute defines height of component Setter for height

  Specified by:
    `setHeight` in class `UIModalPanel`
  Parameters:
    `height` - - new value

### getHeight

    public int getHeight()

  Attribute defines height of component Getter for height

  Specified by:
    `getHeight` in class `UIModalPanel`
  Returns:
    height value from local variable or value bindings

### setKeepVisualState

    public void setKeepVisualState(boolean __keepVisualState)

  If "true" modalPanel should save state after submittion Setter for keepVisualState

  Specified by:
    `setKeepVisualState` in class `UIModalPanel`
  Parameters:
    `keepVisualState` - - new value

### isKeepVisualState

    public boolean isKeepVisualState()

  If "true" modalPanel should save state after submittion Getter for keepVisualState

  Specified by:
    `isKeepVisualState` in class `UIModalPanel`
  Returns:
    keepVisualState value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  A localized user presentable name for this component. Getter for label

  Returns:
    label value from local variable or value bindings

### setLeft

    public void setLeft(java.lang.String __left)

  Attribute defines X position of component left-top corner Setter for left

  Specified by:
    `setLeft` in class `UIModalPanel`
  Parameters:
    `left` - - new value

### getLeft

    public java.lang.String getLeft()

  Attribute defines X position of component left-top corner Getter for left

  Specified by:
    `getLeft` in class `UIModalPanel`
  Returns:
    left value from local variable or value bindings

### setMinHeight

    public void setMinHeight(int __minHeight)

  Attribute defines min height of component Setter for minHeight

  Specified by:
    `setMinHeight` in class `UIModalPanel`
  Parameters:
    `minHeight` - - new value

### getMinHeight

    public int getMinHeight()

  Attribute defines min height of component Getter for minHeight

  Specified by:
    `getMinHeight` in class `UIModalPanel`
  Returns:
    minHeight value from local variable or value bindings

### setMinWidth

    public void setMinWidth(int __minWidth)

  Attribute defines min width of component Setter for minWidth

  Specified by:
    `setMinWidth` in class `UIModalPanel`
  Parameters:
    `minWidth` - - new value

### getMinWidth

    public int getMinWidth()

  Attribute defines min width of component Getter for minWidth

  Specified by:
    `getMinWidth` in class `UIModalPanel`
  Returns:
    minWidth value from local variable or value bindings

### setMoveable

    public void setMoveable(boolean __moveable)

  if "true" there is possibility to move component Setter for moveable

  Specified by:
    `setMoveable` in class `UIModalPanel`
  Parameters:
    `moveable` - - new value

### isMoveable

    public boolean isMoveable()

  if "true" there is possibility to move component Getter for moveable

  Specified by:
    `isMoveable` in class `UIModalPanel`
  Returns:
    moveable value from local variable or value bindings

### setOnhide

    public void setOnhide(java.lang.String __onhide)

  Event must occurs after panel closed Setter for onhide

  Parameters:
    `onhide` - - new value

### getOnhide

    public java.lang.String getOnhide()

  Event must occurs after panel closed Getter for onhide

  Returns:
    onhide value from local variable or value bindings

### setOnmaskclick

    public void setOnmaskclick(java.lang.String __onmaskclick)

  ${prop.xmlEncodedDescription} Setter for onmaskclick

  Parameters:
    `onmaskclick` - - new value

### getOnmaskclick

    public java.lang.String getOnmaskclick()

  ${prop.xmlEncodedDescription} Getter for onmaskclick

  Returns:
    onmaskclick value from local variable or value bindings

### setOnmaskcontextmenu

    public void setOnmaskcontextmenu(java.lang.String __onmaskcontextmenu)

  ${prop.xmlEncodedDescription} Setter for onmaskcontextmenu

  Parameters:
    `onmaskcontextmenu` - - new value

### getOnmaskcontextmenu

    public java.lang.String getOnmaskcontextmenu()

  ${prop.xmlEncodedDescription} Getter for onmaskcontextmenu

  Returns:
    onmaskcontextmenu value from local variable or value bindings

### setOnmaskdblclick

    public void setOnmaskdblclick(java.lang.String __onmaskdblclick)

  ${prop.xmlEncodedDescription} Setter for onmaskdblclick

  Parameters:
    `onmaskdblclick` - - new value

### getOnmaskdblclick

    public java.lang.String getOnmaskdblclick()

  ${prop.xmlEncodedDescription} Getter for onmaskdblclick

  Returns:
    onmaskdblclick value from local variable or value bindings

### setOnmaskmousedown

    public void setOnmaskmousedown(java.lang.String __onmaskmousedown)

  ${prop.xmlEncodedDescription} Setter for onmaskmousedown

  Parameters:
    `onmaskmousedown` - - new value

### getOnmaskmousedown

    public java.lang.String getOnmaskmousedown()

  ${prop.xmlEncodedDescription} Getter for onmaskmousedown

  Returns:
    onmaskmousedown value from local variable or value bindings

### setOnmaskmousemove

    public void setOnmaskmousemove(java.lang.String __onmaskmousemove)

  ${prop.xmlEncodedDescription} Setter for onmaskmousemove

  Parameters:
    `onmaskmousemove` - - new value

### getOnmaskmousemove

    public java.lang.String getOnmaskmousemove()

  ${prop.xmlEncodedDescription} Getter for onmaskmousemove

  Returns:
    onmaskmousemove value from local variable or value bindings

### setOnmaskmouseout

    public void setOnmaskmouseout(java.lang.String __onmaskmouseout)

  ${prop.xmlEncodedDescription} Setter for onmaskmouseout

  Parameters:
    `onmaskmouseout` - - new value

### getOnmaskmouseout

    public java.lang.String getOnmaskmouseout()

  ${prop.xmlEncodedDescription} Getter for onmaskmouseout

  Returns:
    onmaskmouseout value from local variable or value bindings

### setOnmaskmouseover

    public void setOnmaskmouseover(java.lang.String __onmaskmouseover)

  ${prop.xmlEncodedDescription} Setter for onmaskmouseover

  Parameters:
    `onmaskmouseover` - - new value

### getOnmaskmouseover

    public java.lang.String getOnmaskmouseover()

  ${prop.xmlEncodedDescription} Getter for onmaskmouseover

  Returns:
    onmaskmouseover value from local variable or value bindings

### setOnmaskmouseup

    public void setOnmaskmouseup(java.lang.String __onmaskmouseup)

  ${prop.xmlEncodedDescription} Setter for onmaskmouseup

  Parameters:
    `onmaskmouseup` - - new value

### getOnmaskmouseup

    public java.lang.String getOnmaskmouseup()

  ${prop.xmlEncodedDescription} Getter for onmaskmouseup

  Returns:
    onmaskmouseup value from local variable or value bindings

### setOnshow

    public void setOnshow(java.lang.String __onshow)

  Event must occurs after panel opened Setter for onshow

  Parameters:
    `onshow` - - new value

### getOnshow

    public java.lang.String getOnshow()

  Event must occurs after panel opened Getter for onshow

  Returns:
    onshow value from local variable or value bindings

### setShadowDepth

    public void setShadowDepth(java.lang.String __shadowDepth)

  Pop-up shadow depth for suggestion content Setter for shadowDepth

  Parameters:
    `shadowDepth` - - new value

### getShadowDepth

    public java.lang.String getShadowDepth()

  Pop-up shadow depth for suggestion content Getter for shadowDepth

  Returns:
    shadowDepth value from local variable or value bindings

### setShadowOpacity

    public void setShadowOpacity(java.lang.String __shadowOpacity)

  HTML CSS class attribute of element for pop-up suggestion content Setter for shadowOpacity

  Parameters:
    `shadowOpacity` - - new value

### getShadowOpacity

    public java.lang.String getShadowOpacity()

  HTML CSS class attribute of element for pop-up suggestion content Getter for shadowOpacity

  Returns:
    shadowOpacity value from local variable or value bindings

### setShowWhenRendered

    public void setShowWhenRendered(boolean __showWhenRendered)

  If "true" value for this attribute makes a modal panel opened as default. Setter for showWhenRendered

  Specified by:
    `setShowWhenRendered` in class `UIModalPanel`
  Parameters:
    `showWhenRendered` - - new value

### isShowWhenRendered

    public boolean isShowWhenRendered()

  If "true" value for this attribute makes a modal panel opened as default. Getter for showWhenRendered

  Specified by:
    `isShowWhenRendered` in class `UIModalPanel`
  Returns:
    showWhenRendered value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setTop

    public void setTop(java.lang.String __top)

  Attribute defines Y position of component left-top corner Setter for top

  Specified by:
    `setTop` in class `UIModalPanel`
  Parameters:
    `top` - - new value

### getTop

    public java.lang.String getTop()

  Attribute defines Y position of component left-top corner Getter for top

  Specified by:
    `getTop` in class `UIModalPanel`
  Returns:
    top value from local variable or value bindings

### setTridentIVEngineSelectBehavior

    public void setTridentIVEngineSelectBehavior(java.lang.String __tridentIVEngineSelectBehavior)

  How to handle HTML SELECT-based controls in IE 6? - "disable" - default, handle as usual, use disabled="true" to hide SELECT controls - "hide" - use visibility="hidden" to hide SELECT controls Setter for tridentIVEngineSelectBehavior

  Specified by:
    `setTridentIVEngineSelectBehavior` in class `UIModalPanel`
  Parameters:
    `tridentIVEngineSelectBehavior` - - new value

### getTridentIVEngineSelectBehavior

    public java.lang.String getTridentIVEngineSelectBehavior()

  How to handle HTML SELECT-based controls in IE 6? - "disable" - default, handle as usual, use disabled="true" to hide SELECT controls - "hide" - use visibility="hidden" to hide SELECT controls Getter for tridentIVEngineSelectBehavior

  Specified by:
    `getTridentIVEngineSelectBehavior` in class `UIModalPanel`
  Returns:
    tridentIVEngineSelectBehavior value from local variable or value bindings

### setWidth

    public void setWidth(int __width)

  Attribute defines width of component Setter for width

  Specified by:
    `setWidth` in class `UIModalPanel`
  Parameters:
    `width` - - new value

### getWidth

    public int getWidth()

  Attribute defines width of component Getter for width

  Specified by:
    `getWidth` in class `UIModalPanel`
  Returns:
    width value from local variable or value bindings

### setZindex

    public void setZindex(int __zindex)

  Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Setter for zindex

  Specified by:
    `setZindex` in class `UIModalPanel`
  Parameters:
    `zindex` - - new value

### getZindex

    public int getZindex()

  Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Getter for zindex

  Specified by:
    `getZindex` in class `UIModalPanel`
  Returns:
    zindex value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.